Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514444 - Configs in kolla should not crash if plugins are enabled but not present
Summary: Configs in kolla should not crash if plugins are enabled but not present
Keywords:
Status: ON_DEV
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers
Version: 13.0 (Queens)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Upstream M1
: 13.0 (Queens)
Assignee: Radomir Dopieralski
QA Contact: Omri Hochman
Andrew Burden
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 12:43 UTC by Beth Elwell
Modified: 2019-04-12 05:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 515699 None master: ABANDONED kolla: Leave the horizon plugin configuration files alone (I200e24d02cf78d09ddcb7265f2c49b648ca14690) 2018-07-19 01:27:02 UTC
Launchpad 1728034 None None None 2017-12-04 13:45:28 UTC

Description Beth Elwell 2017-11-17 12:43:31 UTC
Description of problem:
If plugins are enabled but not installed in the image, the deployment fails.

How reproducible:
Always

Steps to Reproduce:
1. Manually enable a plugin in docker services that is not installed in the image
2. Run the service

Actual results:
Container crashes and has restarting state after deployment

Expected results:
Container runs without the installed plugin/service and issues an error warning that the plugin/service will not run.

Additional info:
See bug https://bugzilla.redhat.com/show_bug.cgi?id=1514412 where this was first reported due to openstack-fwaas-ui being enabled but not installed in the image.

Comment 1 Omri Hochman 2017-11-22 14:45:11 UTC
It's Horizon Container and scope under UI DFG.

Comment 5 Radomir Dopieralski 2017-12-04 13:45:05 UTC
There is a patch for this.


Note You need to log in before you can comment on or make changes to this bug.